<article class="l-volume-details">
  <section class="l-main-section">
    <div class="l-left-block">
      <img
        class="img box-shadow--heavy"
        [src]="volume?.imageLinks?.small"
        [alt]="volume?.title"
      />
    </div>

    <div class="l-right-block">
      <div class="section-heading">
        <h1 class="section-title reset-margin">{{ volume?.title }}</h1>
        <div>
          <span class="margin-h10 {{ volumeSaleInfo?.saleability | getLabelClass }}" >
            {{ volumeSaleInfo?.saleability | removeUnderscore }}
          </span>
          <span *ngIf="volumeSaleInfo?.saleability === 'FOR_SALE'">
            {{ volumeSaleInfo.retailPrice.amount }}
            {{ volumeSaleInfo.retailPrice.currencyCode }}
          </span>
        </div>
      </div>

      <p class="description">{{ volume?.description | removeHtmlTags }}</p>

      <ul *ngIf="volume" class="details-list reset-list">
  
        <li *ngIf="volume.authors" class="details-list__item">
          <span class="tag">authors</span>
          <span class="data">{{ volume.authors | joinWithComma }}</span>
        </li>

        <li *ngIf="volume.publisher" class="details-list__item">
          <span class="tag">publisher</span>
          <span class="data">{{ volume.publisher }}</span>
        </li>

        <li *ngIf="volume.publishedDate" class="details-list__item">
          <span class="tag">published date</span>
          <span class="data">{{ volume.publishedDate }}</span>
        </li>

        <li *ngIf="volume.categories" class="details-list__item">
          <span class="tag">categories</span>
          <span class="data">{{ volume.categories | joinWithComma }}</span>
        </li>

        <li *ngIf="volume.averageRating" class="details-list__item">
          <span class="tag">average rating</span>
          <span class="data">{{ volume.averageRating }}</span>
        </li>

        <li *ngIf="volume.pageCount" class="details-list__item">
          <span class="tag">page count</span>
          <span class="data">{{ volume.pageCount }}</span>
        </li>
      </ul>

      <a
        [title]="'Download ' + volume?.title"
        *ngIf="downloadLink"
        [href]="downloadLink"
      >
        <button class="button primary small-btn">Download</button>
      </a>
      <span *ngIf="!downloadLink" class="label disabled-btn">
        No download available
      </span>
    </div>
  </section>
</article>
